Loading...
Searching...
No Matches
simplex.cc File Reference

This file contains the Refinement implementation for simplices (triangles, tetrahedrons...). More...

`#include <algorithm>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/math.hh>`
`#include <dune/geometry/multilineargeometry.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/geometry/type.hh>`
`#include "base.cc"`

Go to the source code of this file.

## Classes

class | Dune::RefinementImp::Simplex::RefinementImp< dimension_, CoordType >
struct | Dune::RefinementImp::Simplex::RefinementImp< dimension_, CoordType >::Codim< codimension >
class | Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, dimension >
class | Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >
class | Dune::RefinementImp::Simplex::RefinementImp< dimension_, CoordType >::Codim< codimension >

## Namespaces

namespace | Dune
namespace | Dune::RefinementImp
| This namespace contains the implementation of Refinement.
namespace | Dune::RefinementImp::Simplex
| This namespace contains the Refinement implementation for simplices (triangles, tetrahedrons...).

## Macros

#define | DUNE_GRID_COMMON_REFINEMENT_SIMPLEX_CC

## Functions

Utilities
template<int dimension>
int | Dune::RefinementImp::Simplex::pointIndex (const FieldVector< int, dimension > &point)
| calculate the index of a given gridpoint within a Kuhn0 simplex
template<int n>
FieldVector< int, n > | Dune::RefinementImp::Simplex::getPermutation (int m)
| Calculate permutation from it's index.
template<int dimension, class CoordType>
FieldVector< CoordType, dimension > | Dune::RefinementImp::Simplex::referenceToKuhn (FieldVector< CoordType, dimension > point, const FieldVector< int, dimension > &kuhn)
| Map from the reference simplex to some Kuhn simplex.
template<int dimension, class CoordType>
FieldVector< CoordType, dimension > | Dune::RefinementImp::Simplex::kuhnToReference (FieldVector< CoordType, dimension > point, const FieldVector< int, dimension > &kuhn)
| Map from some Kuhn simplex to the reference simplex.

## Detailed Description

This file contains the Refinement implementation for simplices (triangles, tetrahedrons...).

See Refinement implementation for simplices.

## Macro Definition Documentation

## DUNE_GRID_COMMON_REFINEMENT_SIMPLEX_CC

#define DUNE_GRID_COMMON_REFINEMENT_SIMPLEX_CC